Cambio en repositorio espejo?

Spanish Forum

Moderator: JCSenar

desmolinux
Level 1
Level 1
Posts: 33
Joined: Mon Oct 02, 2017 7:05 am

Cambio en repositorio espejo?

Postby desmolinux » Tue Nov 14, 2017 2:47 pm

Hola , acabo de entrar en administrador de actualizaciones y me dice que cambie de repositorio espejo, que esta desactualizado.

el que tengo ahora es este: http://ftp-cixug.es/mint/packages

Cual debería elegir?

Gracias.

User avatar
JCSenar
Level 8
Level 8
Posts: 2223
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Cambio en repositorio espejo?

Postby JCSenar » Tue Nov 14, 2017 3:19 pm

desmolinux wrote:Hola , acabo de entrar en administrador de actualizaciones y me dice que cambie de repositorio espejo, que esta desactualizado.

el que tengo ahora es este: http://ftp-cixug.es/mint/packages

Cual debería elegir?

Gracias.

El que más rápido vaya:

https://forums.linuxmint.com/viewtopic.php?f=68&t=233077#p1236476
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.

desmolinux
Level 1
Level 1
Posts: 33
Joined: Mon Oct 02, 2017 7:05 am

Re: Cambio en repositorio espejo?

Postby desmolinux » Tue Nov 14, 2017 4:50 pm

Ok, gracias, y aprovecho, las actualizaciones que no aparecen marcadas como actualizar, las marco y actualizo o no? Por ejemplo me aparece el kernel 4.10.0-38.41

Gracias.

User avatar
JOPETA
Level 11
Level 11
Posts: 3816
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Actualizaciones marcadas/no marcadas ¿Qué instalar y cómo?

Postby JOPETA » Tue Nov 14, 2017 6:28 pm

LM 18.2 introduce cambios en el Administrador de actualizaciones que se deben tener en cuentas. Creo que el lanzamiento de LM 18.2 lo deja claro aunque sería una buena ocasión para hacer un resumen que permita a todos hacerse su propia idea y hacerlo antes de iniciar las actualizaciones por si debes reconsiderar tu política.

Si las actualizaciones no están marcadas, de acuerdo con tu política de actualizaciones elegidas al actualizar la primera vez después de instalar Mint 18.2, no las deberías instalar para cumplir con esta política . Se muestran sólo a título informativo (que sepas que hay esas actualizaciones disponibles).
        Image
Este comportamiento predeterminado se puede modificar al hacer clic en el escudo de la barra del panel en Administrador de Actualizaciones>Editar>Preferencias y decidir que mostrar o no en la pestaña Opciones,.
        opciones politica 1.png
Antes de instalar las primeras actualizaciones asegurate de elegir bien qué se preselecciona y qué se muestra en el Administrador de Actualizaciones y si es necesario reconsidera tu política (Editar>Política de Actualizaciones). Una referencia bastante válida con buenos consejos si manejas el ingles o recurres al Google Translate la encuentras en esta página. Encontrarás ampliados estos temas si haces clic en la Ayuda del Administrador de Actualizaciones.
        Image
En general los niveles 1-3 suelen tener bajo impacto sobre la estabilidad del sistema a diferencia de las de niveles 4 (con potenciales efectos adversos sobre la estabilidad pero recomendables si son de seguridad) y las de nivel 5 (no recomendables por tener conocidos efectos adversos sobre el sistema). Asegúrate de que se muestren las actualizaciones de nivel 4 y 5 si quieres pero que se presenten desmarcadas (no preseleccionadas para instalar) o la primera actualización puede resultar en un reinicio accidentado.

En LM 17.X la mayoría de las actualizaciones son de los niveles 1-3 y su instalación no ofrece mayores problemas, como tampoco obviar las actualizaciones de niveles 4-5 ya que el riesgo sobre la seguridad es mínimo y la garantía de la estabilidad (que dependerá del equipo en cuestión) es mayor.

En LM 18.2 las cosas han cambiado, no se tiene en cuenta el origen de la actualización a la hora de determinar el nivel de seguridad y por lo tanto este no aparece en la descripción de los niveles y cambia el significado de los mismo. El nivel 1 sigue siendo inocuo y la mayoría de las actualizaciones de software son de nivel 2. El nivel 3 recoge actualizaciones que afectan a varias aplicaciones (herramientas y del entorno del escritorio), el nivel 4 incluyen las actualizaciones (kernel y partes sensibles) que pueden afectar al sistema y las de nivel 5 (paquetes extremadamente raros y que no suelen estar instalados por defecto) son peligrosas para al sistema pueden desajustarlo o romperlo y no son recomendables .
        Niveles de seguridad.png
En el caso de ser solo actualizaciones es de software (icono de una flechita), te evitas problemas de estabilidad a costa de tener un software menos actualizado si no actualizas los niveles (3), 4 o 5.
        actualizacion software.png
Otra cosa son las actualizaciones de seguridad, las que viene acompañadas de una exclamación. Si es recomendable instalarlas, no sólo las de niveles 1-3 también las de nivel 4, pero estas últimas hacerlo de forma controlada (de una en una) para poder controlar los cambios en el sistema y deshacerlos tras el reinicio en caso de problemas volviendo a la versión anterior del paquete y, de ser necesario, tener una referencia en caso de solicitar ayuda en el foro. Para ello deben mostrase pero no seleccionarse para instalar.
        Image
Parece un poco confuso que eligiendo el nivel intermedio como Política (recomendado para la mayoría de usuarios>Permíteme revisar las actualizaciones sensibles), los tabla de los Niveles de seguridad sólo muestren pre-seleccionadas las de niveles 1-2 cuando en el Administrador de Actualizaciones pueden aparecer actualizaciones de nivel 4 preseleccionadas (en la primera actualización seguro que si aparecen). La explicación es sencilla, en el caso de las actualizaciones de seguridad se aplican los criterios recogidos en la Política y en el nivel intermedio vienen predeterminado la selección de las actualizaciones de seguridad (con independencia de que el nivel sea 3 o 4) y exceptuando las actualizaciones del kernel, claro.
        Image
En el nivel mas conservador (Simplemente mantén mi ordenador a salvo) solo se muestran las actualizaciones de software de niveles 1 y 2 ambas preseleccionadas en la tabla de niveles de forma predeterminada, pero seguirán mostrándose las actualizaciones de seguridad en el Administrador de Actualizaciones sean del nivel que sean, eso si , sin preseleccionar para instalar.
        Image
Si mantenemos una configuración de las Preferencias>Opciones como la mostrada en la imagen anterior nos aseguramos que se muestran las actualizaciones de seguridad pero no se preseleccionan para instalar lo que nos permite hacerlo de forma controlada (de una en una) aunque nuestra política sea la segunda. Con ello estaremos al tanto de las actualizaciones de todos los niveles, pero la instalación de las actualizaciones de seguridad las realizaremos a voluntad.
        Image
Al cambiar las opciones predeterminadas, no existe diferencia alguna con la primera política, (es mas la política cambia a la primera de forma automática) salvo en que se muestran todas las actualizaciones de los niveles 3 y 4. Conseguiremos los mismo resultados partiendo de la primera política modificando en la tabla de niveles, que se muestren las actualizaciones de nivel 3 y 4 si queremos saber de su existencia en lo tocante al software.

En cuanto a la actualización del kernel, todas las actualizaciones del kernel vienen marcadas como de seguridad, son de nivel 5 en LM 17.X y nivel 4 en LM 18.2 (una de las novedades de la actual edición) lo que significa que algunas cosas pueden dejar de funcionar como deberían. No suele ser recomendable actualizar el kernel a no ser que algo no funcione bien en tu sistema. Mint te proporciona una forma de hacerlo mas controlada, evitando otros cambios adicionales más perjudiciales, de forma gráfica y reversibles como se indica aquí.

Por último todo es relativo. Muchos te dirán que actualizan siempre todo pero no dirán cuántos problemas han tenido que resolver ni algunos cuantas veces han reinstalado por no saber resolverlos. Piensa que todos los equipos no son iguales, que no todas las vulnerabilidades de seguridad te son de aplicación y que... si no está roto no lo arregles. :wink:
Last edited by JOPETA on Sat Nov 25, 2017 11:41 am, edited 36 times in total.
Si unas prisas acude al chat #linuxmint-help (te atenderán en cualquier idioma) o si quieres simplemente charlar exclusivamente en español #linux-es

desmolinux
Level 1
Level 1
Posts: 33
Joined: Mon Oct 02, 2017 7:05 am

Re: Cambio en repositorio espejo?

Postby desmolinux » Wed Nov 15, 2017 6:53 pm

Gracias Jopeta, por esa detallada explicacion, cada día aprendo mas. La verdad es que mira que son diferentes las maneras de funcionar de las distintos distros, aunque todas sean Linux.

User avatar
JOPETA
Level 11
Level 11
Posts: 3816
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Cambio en repositorio espejo?

Postby JOPETA » Sun Nov 19, 2017 5:02 am

Me faltaban unas images y aprovecho este post para poder enlazarlas allí. :D
actualizacion seguridad.png
politica.png
ayuda Adminintrador Actualizaciones.png
Last edited by JOPETA on Fri Nov 24, 2017 3:48 pm, edited 1 time in total.
Si unas prisas acude al chat #linuxmint-help (te atenderán en cualquier idioma) o si quieres simplemente charlar exclusivamente en español #linux-es

User avatar
JOPETA
Level 11
Level 11
Posts: 3816
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Actualizaciones marcadas/no marcadas: Origen de las dudas.

Postby JOPETA » Sun Nov 19, 2017 6:58 am

No es de extrañar, desmolinux, que tuvieras tus dudas, ya que parece un poco confuso. Eligiendo el nivel intermedio como Política (recomendado para la mayoría de usuarios), los tabla de los Niveles de seguridad predeterminada sólo muestran pre-seleccionadas las de niveles 1-2 pero al hacer clic en el escudo pueden aparecer actualizaciones de nivel 4 preseleccionadas en el Administrador de Actualizaciones. De la misma forma parecería confuso en caso de aplicar la política mas conservadora que el Administrador de Acualizaciones símplemente muestre actualizaciones de niveles 3-4 cuando la tabla de niveles predeterminada indica que no se mostrarán actualizaciones de niveles 3-5.

La explicación es sencilla esa tabla de niveles hace referencia a que se mostrarán las actualizaciones y se seleccionarán las indicadas pero en el caso de las actualizaciones de seguridad se aplican los criterios recogidos en la Política y con el nivel intermedio viene predeterminado la preselección de las actualizaciones de seguridad (con independencia de que el nivel sea 3 o 4). Todo ello exceptuando las actualizaciones del kernel.
        primeras actulizaciones politica 2.png
Con la política mas conservadora (antes no romper mi equipo, ahora Simplemente mantener mi equipo a salvo) no se muestran las actualizaciones de software de niveles 3,4 o 5 pero si las de seguridad, aunque no se preseleccionan para instalar.
        primeras actulizaciones politica1.png

Lo recomendable es instalar las actualizaciones de seguridad, pero hay que evitar la instalación de las actualizaciones de seguridad de nivel 4 "a cascoporro", decir todas a la vez. Hay que hacerlo solo de una en una, para así poder controlar los efectos sobre el sistema y llegado el caso poder identificar el causante de problemas y revertir la actualización desde Synaptic (seleccionas el paquete en cuestión a la derecha y en la barra de herramientas>Paquete>Forzar versión... y eliges la anterior versión) o solicitar ayuda en el foro con esta información.

En el caso de la política mas conservadora esto está conseguido por defecto, pero en el caso intermedio (mantetenerme informado de las actualizaciones sensibles) viene premarcado la selección de las actualizaciones de seguridad por defecto y puede ser peligroso. Por ello se aconseja desmarca la opción de seleccionar las actualizaciones de seguridad siempre en el Administrador de Actualizaciones> Editar>Preferencias>General.
        opciones recomendadas.png
Si no hacemos esto y elegimos la política recomendada (las segunda) es posible que el primer paquete de actualizaciones traiga consigo el primer quebradero de cabeza. :wink:
Si unas prisas acude al chat #linuxmint-help (te atenderán en cualquier idioma) o si quieres simplemente charlar exclusivamente en español #linux-es


Return to “Español (Spanish)”